/*
 * Copyright (c) 2010 LAAS/CNRS
 * Arnaud Degroote - Wed Aug 11 2010
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */


#ifndef _SCAN_H_
#define _SCAN_H_

#ifdef __cplusplus
extern "C" {
#endif

int scan_buf_char(char **buf, char *x, int nDim, int *dims);
int scan_buf_unsigned_char(char **buf, unsigned char *x, int nDim, int *dims);
int scan_buf_short_int(char **buf, short int *x, int nDim, int *dims);
int scan_buf_int(char **buf, int *x, int nDim, int *dims);
int scan_buf_long_int(char **buf, long int *x, int nDim, int *dims);
int scan_buf_unsigned_short_int(char **buf, unsigned short *x, int nDim, int *dims);
int scan_buf_unsigned_int(char **buf, unsigned int *x, int nDim, int *dims);
int scan_buf_unsigned_long_int(char **buf, unsigned long *x, int nDim, int *dims);
int scan_buf_float(char **buf, float *x, int nDim, int *dims);
int scan_buf_double(char **buf, double *x, int nDim, int *dims);
int scan_buf_string(char **buf, char *x, int nDim, int *dims);
int scan_buf_string_len(char **buf, char *x, int max_str_len, int nDim, int *dims);

#ifdef __cplusplus
}
#endif

#endif
